be.fgov.ehealth.technicalconnector.jca.impl

## Class DigitalSignatureServiceProxy

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.jca.impl.DigitalSignatureServiceProxy

- All Implemented Interfaces:
    be.fgov.ehealth.esig.jca.spi.SigningService

      public class DigitalSignatureServiceProxy
      extends Object
      implements be.fgov.ehealth.esig.jca.spi.SigningService

  Implementation of the `DistributedSignerProxy` by using the OASIS DSS protocol for the sign method.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigitalSignatureServiceProxy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm(String alias)`
    `Set<String>` | `getAliases()`
    `List<X509Certificate>` | `getCertificateChain(String alias)`
    `byte[]` | `sign(byte[] digestValue, String digestAlgo, String alias)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigitalSignatureServiceProxy

          public DigitalSignatureServiceProxy()

  - ### Method Detail

    - #### sign

          public byte[] sign(byte[] digestValue,
                             String digestAlgo,
                             String alias)
                      throws SignatureException

      Specified by:
        `sign` in interface `be.fgov.ehealth.esig.jca.spi.SigningService`
      Throws:
        `SignatureException`

    - #### getAliases

          public Set<String> getAliases()

      Specified by:
        `getAliases` in interface `be.fgov.ehealth.esig.jca.spi.SigningService`

    - #### getCertificateChain

          public List<X509Certificate> getCertificateChain(String alias)

      Specified by:
        `getCertificateChain` in interface `be.fgov.ehealth.esig.jca.spi.SigningService`

    - #### getAlgorithm

          public String getAlgorithm(String alias)

      Specified by:
        `getAlgorithm` in interface `be.fgov.ehealth.esig.jca.spi.SigningService`

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.